Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(697)

Issue 12089037: Add management.uninstallSelf to API (Closed)

Created:
5 years, 3 months ago by calamity
Modified:
5 years, 3 months ago
CC:
chromium-reviews, Aaron Boodman, chromium-apps-reviews_chromium.org, chrome-apps-syd-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Visibility:
Public.

Description

Add management.uninstallSelf to API Let extensions/apps uninstall themselves without requiring the management permission. BUG=166546 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=179506

Patch Set 1 #

Patch Set 2 : modify api docs #

Total comments: 4

Patch Set 3 : rework #

Patch Set 4 : sync #

Patch Set 5 : sync #

Unified diffs Side-by-side diffs Delta from patch set Stats (+106 lines, -26 lines) Patch
M chrome/browser/extensions/api/management/management_api.h View 1 2 3 2 chunks +31 lines, -6 lines 0 comments Download
M chrome/browser/extensions/api/management/management_api.cc View 1 2 3 3 chunks +46 lines, -17 lines 0 comments Download
M chrome/browser/extensions/extension_function_histogram_value.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/extensions/api/management.json View 1 chunk +24 lines, -0 lines 0 comments Download
M chrome/common/extensions/docs/templates/intros/management.html View 1 1 chunk +3 lines, -3 lines 0 comments Download
M chrome/common/extensions/permissions/permission_set.cc View 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 11 (0 generated)
calamity
5 years, 3 months ago (2013-01-29 04:35:26 UTC) #1
koz (OOO until 15th September)
lgtm https://codereview.chromium.org/12089037/diff/2001/chrome/browser/extensions/api/management/management_api.cc File chrome/browser/extensions/api/management/management_api.cc (right): https://codereview.chromium.org/12089037/diff/2001/chrome/browser/extensions/api/management/management_api.cc#newcode588 chrome/browser/extensions/api/management/management_api.cc:588: ManagementUninstallSelfFunction::ManagementUninstallSelfFunction() { The definitions of functions for a ...
5 years, 3 months ago (2013-01-29 05:20:26 UTC) #2
calamity
https://codereview.chromium.org/12089037/diff/2001/chrome/browser/extensions/api/management/management_api.cc File chrome/browser/extensions/api/management/management_api.cc (right): https://codereview.chromium.org/12089037/diff/2001/chrome/browser/extensions/api/management/management_api.cc#newcode588 chrome/browser/extensions/api/management/management_api.cc:588: ManagementUninstallSelfFunction::ManagementUninstallSelfFunction() { On 2013/01/29 05:20:26, koz wrote: > The ...
5 years, 3 months ago (2013-01-29 06:06:16 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/calamity@chromium.org/12089037/9001
5 years, 3 months ago (2013-01-29 06:10:33 UTC) #4
commit-bot: I haz the power
Failed to apply patch for chrome/browser/extensions/api/management/management_api.h: While running patch -p1 --forward --force --no-backup-if-mismatch; patching file ...
5 years, 3 months ago (2013-01-29 06:10:35 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/calamity@chromium.org/12089037/11001
5 years, 3 months ago (2013-01-29 09:19:42 UTC) #6
commit-bot: I haz the power
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
5 years, 3 months ago (2013-01-29 10:11:06 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/calamity@chromium.org/12089037/11001
5 years, 3 months ago (2013-01-29 22:31:02 UTC) #8
commit-bot: I haz the power
Failed to apply patch for chrome/browser/extensions/extension_function_histogram_value.h: While running patch -p1 --forward --force --no-backup-if-mismatch; patching file ...
5 years, 3 months ago (2013-01-29 22:31:06 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/calamity@chromium.org/12089037/3010
5 years, 3 months ago (2013-01-29 22:54:51 UTC) #10
commit-bot: I haz the power
5 years, 3 months ago (2013-01-30 02:06:30 UTC) #11
Message was sent while issue was closed.
Change committed as 179506

Powered by Google App Engine
This is Rietveld 408576698